Subject: Re: [PATCH v2 1/3] gitfaq: add documentation on proxies

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Nov 2021 13:24:45 -0800

"brian m. carlson" <[email-masked]> writes:

> I realize this sounds redundant, but I'm trying to avoid the situation
> where people say, "I'm not _tampering_ with it, since I'm authorized to
> do this by the company.  I'm just modifying it to remove this
> inappropriate content/malware/data leak."

It might be a good strategy to educate users by leaving a deliberate
hole to let them quibble with such an excuse.  When it comes to
on-the-wire protocol, their management do not have authority to
grant them right to tamper with the data and that is not limited to
Git.